Package Details: rpncalc 1.36.8-2

Git Clone URL: https://aur.archlinux.org/rpncalc.git (read-only)
Package Base: rpncalc
Description: A calculator similar to dc, but uses readline and shows the stack visually.
Upstream URL: http://homepage.hispeed.ch/david.frey/
Licenses: GPL2
Submitter: None
Maintainer: keenerd
Last Packager: keenerd
Votes: 10
Popularity: 0.186405
First Submitted: 2009-05-05 17:09
Last Updated: 2016-03-22 12:44

Latest Comments

nashgul commented on 2016-03-22 08:14

I've made some changes and now it works fine.

## PKGBUILD

pkgname=rpncalc
pkgver=1.36.6
pkgrel=2
pkgdesc="A calculator similar to dc, but uses readline and shows the stack visually."
arch=('i686' 'x86_64')
url="http://homepage.hispeed.ch/david.frey"
license=('GPL2')
depends=('readline')
makedepends=('bison' 'flex' 'gettext' 'ed')
source=("${url}/${pkgname}_${pkgver}.tar.gz")
md5sums=('ccb438bd269f3aa42c607670eb2977ef')

build() {
cd "$srcdir/${pkgname}-1.36"
sed -i 's|ed .* proto.ed$|LANG=C &|' Makefile
make
}

package() {
cd "$srcdir/${pkgname}-1.36"
make DESTDIR="$pkgdir" install
}

# vim:set ts=2 sw=2 et:

keenerd commented on 2014-02-11 15:02

Weird. Try the pkgbuild I just uploaded?

l3u commented on 2014-02-11 14:05

@keenerd : no, I have everything. After searching a bit, it seems it fails with my locale :

$ echo $LANG
fr_FR.UTF-8
$ yaourt -S rpncalc
...
ed -s - rpncalc.1 < proto.ed
...
==> ERREUR : Une erreur s’est produite dans build().
Abandon...
==> ERREUR: Makepkg n'a pas pu construire rpncalc.

$ export LANG=C
$ yaourt -S rpncalc
...
(1/1) reinstalling rpncalc
$

This is not related to your package but comes from upstream. I tried with the sources, same punishment.

keenerd commented on 2014-02-10 14:13

Sounds like you are missing one or more packages from the base/base-devel groups. Take a look at
https://wiki.archlinux.org/index.php/Arch_User_Repository#Prerequisites

l3u commented on 2014-02-10 10:07

Build currently fails for me :

sed -e "s/\\\$Date.*\\\$/`date +'%B %-d, %Y'`/g" rpncalc.1.sed > rpncalc.1
ed -s - rpncalc.1 < proto.ed
%CMDS%
?
Makefile:58: recipe for target 'rpncalc.1' failed
make: *** [rpncalc.1] Error 1
rm gram.c scan.c

Thanks !

keenerd commented on 2014-01-05 15:30

Please update the pkgbuild to meet modern standards.
Do not use $startdir/src, use $srcdir
Do not use || return 1
Move the 'make install' to a package() function.